Skip to main content
GET
/
agent-delegation-invitations
List agent delegation invitations
curl --request GET \
  --url https://api.natural.co/agent-delegation-invitations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "delegationInvitation",
      "id": "din_550e8400e29b41d4a716446655440000",
      "attributes": {
        "customerEmail": "customer@example.com",
        "developerName": null,
        "status": "PENDING",
        "permissions": [
          "payments.create",
          "wallets.read"
        ],
        "expiresAt": "2026-01-11T15:30:00Z",
        "token": null,
        "magicLink": null,
        "createdAt": "2026-01-04T15:30:00Z"
      },
      "relationships": {
        "delegateeParty": {
          "data": {
            "type": "party",
            "id": "pty_7c9e6679e29b41d4a716446655440002"
          }
        },
        "delegatorParty": {
          "data": null
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

status
enum<string>

Filter by status

Available options:
PENDING,
ACCEPTED,
REVOKED,
EXPIRED,
DECLINED
limit
integer
default:50

Maximum results per page

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination

Response

Successful Response

data
DelegationInvitationResource · object[]
required
meta
object
required